%global realname bear
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.1.2
Release:	1%{?dist}
Summary:	A set of statistics functions for erlang
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/boundary/bear
# wget --content-disposition https://github.com/boundary/bear/archive/0.1.2.tar.gz
Source0:	%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar
# Error:erlang(erlang:max/2) in R12B and below
# Error:erlang(erlang:min/2) in R12B and below
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-stdlib%{?_isa}


%description
A set of statistics functions for Erlang. Currently bear is focused on use
inside the Folsom Erlang metrics library but all of these functions are generic
and useful in other situations.


%prep
%setup -q -n %{realname}-%{version}
sed -i -e "s,git,\"0.1.2\",g" src/bear.app.src


%build
rebar compile -v


%install
install -D -m 644 ebin/%{realname}.app $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -m 644 ebin/%{realname}.beam $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
# No tests currently
#rebar eunit -v


%files
%doc LICENSE README.md
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam


%changelog
* Fri Dec 21 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.1.2-1
- Ver. 0.1.2 (API/ABI compatible bugfix release)

* Sun Sep 02 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.1.1-1
- Initial build
